<!-- 收银台  goodsPay-->
<template>
  <div>
    <van-cell-group>
      <van-cell title="订单编号">
        <div class="m_black">{{form.order_no }}</div>
      </van-cell>
      <van-cell title="订单金额" :value="form.amount">
        <div class="m_red">{{form.amount | toNum(2) | money}}</div>
      </van-cell>
    </van-cell-group>

    <div class="mt20">
      <pay-list :order_id="this.form.order_id" :check="chenkItem.name" v-if="form.type!=1" @clickItem="handelChoose" />
      <div v-if="form.type==1" class="flex flex-m payList-item bor-b" @click="handleBalance({},'special_pay')">
        <van-icon class="mr15" color="#ff8731" size="0.6rem" name="coupon" />
        <div class="flex-1">
          <div class="payList-title">专区券支付</div>
        </div>
      </div>
    </div>

      <div class="btn_addAddress_box">
        <div class="btn_addAddress" @click="choosePay">立即支付</div>
      </div>


    <payPassword :show.sync="show" @success="handleBalance" />

  </div>
</template>

<script>
import axios from 'axios'
import * as sdk from '@/utils/sdk'
import payPassword from '@/components/payPassword'
import payList from '@/components/payList/index'
export default {
  name: 'goodsPay',
  components: { payList, payPassword },
  data() {
    return {
      chenkItem:'',
      form: {
        order_id: '',
        order_no: '',
        amount: '0',
        pay_type: '',
        pay_password: '',
        type: 0,
      },
      show: false
    }
  },
  created() {
    this.init()

  },
  methods: {
    //初始化方法
    init() {
      this.initData()

    },
    initData() {
      let query = this.$route.query;
      this.form.order_id = query.order_id;
      this.form.order_no = query.order_no;
      this.form.amount = query.amount;
      this.form.type = query.type;
    },

    handelChoose(item){
      this.chenkItem = item
    },


    choosePay() {
      let item = this.chenkItem;
      if (!item) {
        this.m_toast('请选择付款方式');
        return;
      }
      if (item.name == 'balance') {
        //this.show = true
        this.handleBalance()
      } else if (item.name == 'alipay') {
        this.form.pay_type = "alipay";
        this.payApi().then(res => {
          sdk.aliPayInfo(res, (result) => {
            if (result && result.code == 0) {
              this.m_success('支付成功');
              setTimeout(() => {
                this.payCb();
              }, 1500)
            } else {
              this.m_toast('支付失败');
            }
          })
        })
      } else if (item.name == 'wechat') {
        this.form.pay_type = "wechat";
        this.payApi().then(res => {
          sdk.wechatInfo(res, (result) => {
            if (result && result.code == 0) {
              this.m_success('支付成功');
              setTimeout(() => {
                this.payCb();
              }, 1500)
            } else {
              this.m_toast('支付失败');
            }
          })
        })
      } else if(item.name == 'credit3') {
        this.handleBalance(item,item.name);
      } else if(item.name == 'alipay-later') {
        this.form.pay_type = item.name;
        this.form.pay_password = item.pay_password;
        this.payLater().then((response) => {
          this.$copyText(response.data).then(function (e) {
            console.log(e)
          }, function (e) {
            alert('Can not copy')
            console.log(e)
          })
        }).catch((err) => {
          console.log(err);
        });
      } else if(item.name == 'alipay-qr') {
        this.form.pay_type = item.name;
        this.form.pay_password = item.pay_password;
        this.m_loading();
        return this.api.pay_order(this.form).then(res => {
          setTimeout(() => {
            window.location.assign(res.data)
          }, 1000)
          console.log(res);
          return res
        }).catch((err) => {
          console.log(err);
          this.m_toast('支付失败')
        }).finally(() => {
          this.show = false;
          this.m_hideLoading();
        })
      } else {
        console.log('mudan');
        this.handleBalance(item,item.name);
      }
    },

    //余额支付 //券支付
    handleBalance(item = {}, pay_type = "balance") {
      this.form.pay_type = pay_type;
      this.form.pay_password = item.pay_password;
      this.pay();
    },

    payApi() {
      this.m_loading()
      return this.api.pay_order(this.form).then(res => {
        this.m_hideLoading()
        return res

      })
    },

    pay() {
      this.m_loading();
      return this.api.pay_order(this.form).then(res => {
        this.show = false;
        this.m_hideLoading();
        this.m_success('支付成功');
        setTimeout(() => {
          this.payCb();
        }, 1500)
        return res

      })
    },

    payLater() {
      this.m_loading();
      return this.api.pay_order(this.form).then(res => {
        console.log(res.data);
        this.show = false;
        this.m_hideLoading();
        BridgeSDK.copy({
          data: res.data
        });
        this.m_success('代付链接已复制，请发给对象付款。');
        setTimeout(() => {
          this.payCb('0');
        }, 1500)
        return res
      })
    },
    payCb(order_stat = '1') {
      let query = this.$route.query
      let order_status = query.order_status
      console.log(sessionStorage);
      if (order_status) {
        sessionStorage.order_status = order_status
        this.$router.go(-1)
      } else {
        sessionStorage.order_status = order_stat
        console.log(sessionStorage);
        this.$router.replace('/order')        
      }
    },


    apiTest() {
      this.m_loading()
      return axios.post('https://shop.1688qia.com/test_pay').then(res => {
        this.m_hideLoading()
        console.log(res)
        return res

      })
    }


  },
}

</script>
<style lang='scss' scoped>
.payList-item {
  padding: 0.26rem 0.26rem;
  background: #fff;
  box-sizing: border-box;
}

.payList-title {
  font-size: 0.3rem;
}

.payList-lable {
  color: #777;
  font-size: 0.28rem;
}
.bor-b {
  border-bottom: 1px solid #eee;
}

.btn_addAddress_box {
  position: fixed;
  z-index: 2;
  bottom: 0;
  height: 1.6rem;
  width: 100%;
  background: #f7f7f7;
  padding-top: 0.36rem;
  box-sizing: border-box;
}

.btn_addAddress {
  width: 6.28rem;
  height: 0.88rem;
  background-color: #4C80C1;
  border-radius: 14px;
  line-height: 0.88rem;
  font-size: 0.3rem;
  color: #fff;
  margin: 0 auto;
  text-align: center;
}
</style>